<f:replaceAll> | Standard JET2 Format Tags
--- | ---

replaceAll

Replace all instances of a value in the tag's content with a new value.

If the 'regex' attribute is supplied, and equals 'true', then 'value' is treated as a Regular Expression as defined in java.util.reg.Pattern, otherwise 'value' is treated as a literal value.

Tag Summary
required | <f:replaceAll value="value" replacement="value"> content consumed by tag evaluation </f:replaceAll>
full tag | <f:replaceAll value="value" replacement="value" regex="value"> content consumed by tag evaluation </f:replaceAll>

Required Attributes
value | The value to be replace, or a regular expression defining the value to replace.
replacement | The replacement text.

Optional Attributes
regex | A boolean value ('true' or 'false'). If omitted, 'false' is assumed.

Example
| <%-- This will result in a/b/c--%> <f:replaceAll value="." replacement="/"> a.b.c </f:replaceAll> <%-- This will result in ///// --%> <f:replaceAll value="." replacement="/" regex="true"> a.b.c </f:replaceAll>